    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.datatransfer.Clipboard

    java.lang.Object
       |
       +----java.awt.datatransfer.Clipboard

public class Clipboard
extends Object

A class which implements a mechanism to transfer data using cut/copy/paste operations.

##

contents
owner

##

Clipboard(String)
  Creates a clipboard object.

##

getContents(Object)
  Returns a transferable object representing the current contents of the clipboard.
getName()
  Returns the name of this clipboard object.
setContents(Transferable, ClipboardOwner)
  Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents.

##

owner

     protected ClipboardOwner owner

contents

     protected Transferable contents

##

Clipboard

     public Clipboard(String name)

  Creates a clipboard object.

##

getName

     public String getName()

  Returns the name of this clipboard object.

setContents

     public synchronized void setContents(Transferable contents,
                                          ClipboardOwner owner)

  Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents. If there is an existing owner registered, that owner is notified that it no longer holds ownership of the clipboard contents.

  Parameters:
    content - the transferable object representing the clipboard content
    owner - the object which owns the clipboard content

getContents

     public synchronized Transferable getContents(Object requestor)

  Returns a transferable object representing the current contents of the clipboard. If the clipboard currently has no contents, it returns null.

  Parameters:
    requestor - the object requesting the clip data
  Returns:
    the current transferable object on the clipboard

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.